View Issue Details

IDProjectCategoryView StatusLast Update
0003717Talerexchangepublic2021-09-02 18:14
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PrioritynormalSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.0Fixed in Version0.0 
Summary0003717: taler-mint-reservemod does fails to use DB abstraction layer
DescriptionThe program needs to be modified to work with mint_db.h (but mint_db.h also needs to be updated first!).

Furthermore, the implemented method if modifying the balance is awful, the reserve balance should not be modified like this, but by adding an additional "incoming" SEPA transaction into the DB.
TagsNo tags attached.

Relationships

has duplicate 0003720 closedChristian Grothoff taler-mint-reservemod should use TALER_MINT_DB helper functions 
related to 0003633 closedChristian Grothoff need API function to insert "struct BankTransfer"s into the DB 
related to 0003464 closedChristian Grothoff Need a tool to import wire transfers from the bank 

Activities

Christian Grothoff

2015-05-15 17:28

manager   ~0009115

Implemented in 33f5242..d080e59

Christian Grothoff

2021-09-02 18:14

manager   ~0018330

Fix committed to master branch.

Related Changesets

exchange: master d080e59e

2015-05-15 17:24:27

Christian Grothoff

Details Diff
resolve 0003717 Affected Issues
0003717
mod - src/include/taler_mintdb_plugin.h Diff File
mod - src/mint-tools/taler-mint-reservemod.c Diff File
mod - src/mintdb/plugin_mintdb_postgres.c Diff File

Issue History

Date Modified Username Field Change
2015-03-17 14:49 Christian Grothoff New Issue
2015-03-17 21:32 Sree Harsha Totakura Relationship added related to 0003720
2015-03-17 21:33 Sree Harsha Totakura Relationship replaced has duplicate 0003720
2015-03-22 14:29 Christian Grothoff Relationship added related to 0003633
2015-03-22 14:29 Christian Grothoff Assigned To => Sree Harsha Totakura
2015-03-22 14:29 Christian Grothoff Status new => assigned
2015-03-22 14:33 Christian Grothoff Relationship added related to 0003464
2015-03-28 14:48 Christian Grothoff Target Version => 0.0
2015-04-18 13:19 Christian Grothoff Target Version 0.0 => 0.1
2015-05-13 15:23 Christian Grothoff Assigned To Sree Harsha Totakura => Christian Grothoff
2015-05-15 17:28 Christian Grothoff Note Added: 0009115
2015-05-15 17:28 Christian Grothoff Status assigned => resolved
2015-05-15 17:28 Christian Grothoff Fixed in Version => 0.0
2015-05-15 17:28 Christian Grothoff Resolution open => fixed
2015-05-15 17:28 Christian Grothoff Target Version 0.1 => 0.0
2015-05-15 17:36 Christian Grothoff Status resolved => closed
2016-02-18 15:43 Christian Grothoff Category mint => exchange
2021-09-02 18:14 Christian Grothoff Changeset attached => Taler-exchange master d080e59e
2021-09-02 18:14 Christian Grothoff Note Added: 0018330